<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddCallPickupGroupReq StructType
 * @subpackage Structs
 */
class AddCallPickupGroupReq extends APIRequest
{
    /**
     * The callPickupGroup
     * @var XCallPickupGroup
     */
    public $callPickupGroup;
    /**
     * Constructor method for AddCallPickupGroupReq
     * @uses AddCallPickupGroupReq::setCallPickupGroup()
     * @param XCallPickupGroup $callPickupGroup
     */
    public function __construct(XCallPickupGroup $callPickupGroup = null)
    {
        $this
            ->setCallPickupGroup($callPickupGroup);
    }
    /**
     * Get callPickupGroup value
     * @return XCallPickupGroup|null
     */
    public function getCallPickupGroup()
    {
        return $this->callPickupGroup;
    }
    /**
     * Set callPickupGroup value
     * @param XCallPickupGroup $callPickupGroup
     * @return AddCallPickupGroupReq
     */
    public function setCallPickupGroup(XCallPickupGroup $callPickupGroup = null)
    {
        $this->callPickupGroup = $callPickupGroup;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddCallPickupGroupReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
